Upstream information

CVE-2018-14681 at MITRE

Description

An issue was discovered in kwajd_read_headers in mspack/kwajd.c in libmspack before 0.7alpha. Bad KWAJ file header extensions could cause a one or two byte overwrite.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 6.8
Vector AV:N/AC:M/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 8.8 4.4
Vector CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H CVSS:3.0/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:L/A:L
Access Vector Network Local
Access Complexity Low Low
Privileges Required None None
User Interaction Required Required
Scope Unchanged Unchanged
Confidentiality Impact High None
Integrity Impact High Low
Availability Impact High Low
CVSSv3 Version 3 3
SUSE Bugzilla entries: 1102922 [RESOLVED / DUPLICATE], 1103032 [CONFIRMED], 1103040 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Enterprise Storage 4
  • clamav >= 0.100.2-33.18.1
Patchnames:
SUSE-Storage-4-2018-2460
SUSE Linux Enterprise Desktop 12 SP3
  • clamav >= 0.100.2-33.18.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP3-2018-2460
SUSE Linux Enterprise Desktop 12 SP4
SUSE Linux Enterprise Server 12 SP4
  • clamav >= 0.100.2-33.18.1
SUSE Linux Enterprise High Performance Computing 12 SP5
SUSE Linux Enterprise Server 12 SP5
  • clamav >= 0.101.3-1.19
SUSE Linux Enterprise Module for Basesystem 15 SP1
  • clamav >= 0.100.3-3.9.1
  • clamav-devel >= 0.100.3-3.9.1
  • libclamav7 >= 0.100.3-3.9.1
  • libclammspack0 >= 0.100.3-3.9.1
SUSE Linux Enterprise Module for Basesystem 15
  • clamav >= 0.100.2-3.6.4
  • clamav-devel >= 0.100.2-3.6.4
  • libclamav7 >= 0.100.2-3.6.4
  • libclammspack0 >= 0.100.2-3.6.4
Patchnames:
SUSE-SLE-Module-Basesystem-15-2018-2335
SUSE Linux Enterprise Point of Sale 11 SP3
  • clamav >= 0.100.2-0.20.18.1
Patchnames:
sleposp3-clamav-13841
SUSE Linux Enterprise Point of Sale 12 SP2-CLIENT
  • clamav >= 0.100.2-33.18.1
Patchnames:
SUSE-SLE-POS-12-SP2-CLIENT-2018-2460
SUSE Linux Enterprise Server 11 SP3-LTSS
SUSE Linux Enterprise Server for SAP Applications 11 SP3-LTSS
  • clamav >= 0.100.2-0.20.18.1
Patchnames:
slessp3-clamav-13841
SUSE Linux Enterprise Server 11 SP4
SUSE Linux Enterprise Server for SAP Applications 11 SP4
  • clamav >= 0.100.2-0.20.18.1
Patchnames:
slessp4-clamav-13841
SUSE Linux Enterprise Server 12 SP1-LTSS
SUSE Linux Enterprise Server for SAP Applications 12 SP1-LTSS
  • clamav >= 0.100.2-33.18.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2018-2460
SUSE Linux Enterprise Server 12 SP2-BCL
SUSE Linux Enterprise Server for SAP Applications 12 SP2-BCL
  • clamav >= 0.100.2-33.18.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-BCL-2018-2460
SUSE Linux Enterprise Server 12 SP2-ESPOS
SUSE Linux Enterprise Server for SAP Applications 12 SP2-ESPOS
  • clamav >= 0.100.2-33.18.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-ESPOS-2018-2460
SUSE Linux Enterprise Server 12 SP2-LTSS
SUSE Linux Enterprise Server for SAP Applications 12 SP2-LTSS
  • clamav >= 0.100.2-33.18.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2018-2460
SUSE Linux Enterprise Server 12 SP3
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • clamav >= 0.100.2-33.18.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2018-2460
SUSE Linux Enterprise Server 12-LTSS
SUSE Linux Enterprise Server for SAP Applications 12-LTSS
  • clamav >= 0.100.2-33.18.1
Patchnames:
SUSE-SLE-SERVER-12-2018-2460
SUSE Linux Enterprise Server for SAP Applications 12 SP1
  • clamav >= 0.100.2-33.18.1
Patchnames:
SUSE-SLE-SAP-12-SP1-2019-1071
SUSE Linux Enterprise Server for SAP Applications 12 SP2
  • clamav >= 0.100.2-33.18.1
Patchnames:
SUSE-SLE-SAP-12-SP2-2018-2460
SUSE OpenStack Cloud 7
  • clamav >= 0.100.2-33.18.1
Patchnames:
SUSE-OpenStack-Cloud-7-2018-2460
openSUSE Leap 15.0
  • clamav >= 0.100.2-lp150.2.6.1
  • clamav-debuginfo >= 0.100.2-lp150.2.6.1
  • clamav-debugsource >= 0.100.2-lp150.2.6.1
  • clamav-devel >= 0.100.2-lp150.2.6.1
  • libclamav7 >= 0.100.2-lp150.2.6.1
  • libclamav7-debuginfo >= 0.100.2-lp150.2.6.1
  • libclammspack0 >= 0.100.2-lp150.2.6.1
  • libclammspack0-debuginfo >= 0.100.2-lp150.2.6.1
Patchnames:
openSUSE-2019-821
openSUSE Leap 42.3
  • clamav >= 0.100.2-32.1
  • clamav-debuginfo >= 0.100.2-32.1
  • clamav-debugsource >= 0.100.2-32.1
Patchnames:
openSUSE-2018-1310


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise 15 Module for Basesystem clamav Released
SUSE Linux Enterprise Desktop 12 SP3 clamav Released
SUSE Linux Enterprise High Performance Computing 12 SP5 libgcrypt Released
SUSE Linux Enterprise High Performance Computing 12 SP5 mozilla-nspr Released
SUSE Linux Enterprise High Performance Computing 12 SP5 mozilla-nss Released
SUSE Linux Enterprise Server 11 SP1 clamav Released
SUSE Linux Enterprise Server 11 SP3 clamav Released
SUSE Linux Enterprise Server 11 SP3 LTSS clamav Released
SUSE Linux Enterprise Server 11 SP4 clamav Released
SUSE Linux Enterprise Server 12 LTSS clamav Released
SUSE Linux Enterprise Server 12 SP1 LTSS clamav Released
SUSE Linux Enterprise Server 12 SP2 LTSS clamav Released
SUSE Linux Enterprise Server 12 SP3 clamav Released
SUSE Linux Enterprise Server 12 SP5 libgcrypt Released
SUSE Linux Enterprise Server 12 SP5 mozilla-nspr Released
SUSE Linux Enterprise Server 12 SP5 mozilla-nss Released
SUSE Linux Enterprise Server for SAP Applications 12 SP2 clamav Released
SUSE Linux Enterprise Server for SAP Applications 12 SP5 libgcrypt Released
SUSE Linux Enterprise Server for SAP Applications 12 SP5 mozilla-nspr Released
SUSE Linux Enterprise Server for SAP Applications 12 SP5 mozilla-nss Released